2013-09-23  Alan Modra  <amodra@gmail.com>

	* Makefile.in: Regenerate.

2006-08-29  Dave Brolley  <brolley@redhat.com>

	* glue.cxx (base_address): New member of bus_prober.
	(bus_prober): Initialize base_address.
	(writeAny): Add this->prober->base_address to the address driven.
	(readAny): Likewise.
	* hw-glue-probe-bus.xml: Document new base-address attribute.
	* *.txt: Regenerated.

2006-03-27  Frank Ch. Eigler  <fche@elastic.org>

	* glue.cxx (bus_prober): Fix extra class qualifications.

2005-12-16  Nathan Sidwell  <nathan@codesourcery.com>

	Second part of ms1 to mt renaming.
	* Makefile.in: Rebuilt.

2005-06-03  Jim Blandy  <jimb@redhat.com>

	* Makefile.in: Regenerated with Automake 1.9.5.

2004-08-06  Robert Shideleff <bigbob@shideleff.com>

	* glue.cxx (pin_pacer_component): Add new component class & methods.
	(list_types, create, do_delete): Support it.
	* hw-glue-pin-pacer.xml: New file.
	* hw-glue-pin-pacer.txt: Regenerated.
	* Makefile.am: Add reference to new file.
	* Makefile.in: Regenerated.

2002-11-11  Frank Ch. Eigler  <fche@redhat.com>

	* glue.cxx (bus_prober): Dtor throw() fixes.

2002-05-27  Ben Elliston  <bje@redhat.com>

	* glue.cxx (bus_prober::label): New member.
	(bus_prober ctor): Add a corresponding "label" attribute.
	(probing_bus::traceAccess): Output a component label, if given.
	* hw-glue-probe-bus.xml: Update documentation.

2001-08-03  matthew green  <mrg@redhat.com>

	* glue.cxx (~sequence_component): Add prototype.
	(~attr_storage_component, ~probing_bus, ~bus_mux): Add throw()
	specifier.

2001-07-13  Ben Elliston  <bje@redhat.com>

	* Makefile.am (check-local): Rename target from "checkme".

2001-07-11  Frank Ch. Eigler  <fche@redhat.com>

	* *.xml: Add <?xml ... ?> prefix.

2001-07-04  graydon hoare  <graydon@redhat.com>

	* configure.in: Add maintainer-mode doc building configury.
	* configure: Regenerate.
	* Makefile.am: Add maintainer-mode doc building.
	* Makefile.in: Regenerate.

2001-07-04  Ben Elliston  <bje@redhat.com>

	* hw-glue-probe-bus.txt: Generate.
	* hw-glue-sequence.txt: Likewise.
	* hw-glue-bus-mux.txt: Likewise.
	* sw-glue-attribbank.txt: Likewise.

2001-06-28  Ben Elliston  <bje@redhat.com>

	* hw-glue-probe-bus.xml: Merge in changes since 2001-06-01.

2001-06-27  graydon hoare  <graydon@redhat.com>

	* sw-glue-attribbank.xml: Add.
	* hw-glue-probe-bus.xml: Add.
	* hw-glue-sequence.xml: Add.
	* hw-glue-bus-mux.xml: Add.

2001-06-23  Frank Ch. Eigler  <fche@redhat.com>

	* glue.cxx (probing_bus::traceAccess): Print non-zero latency.
	* hw-glue-probe-bus.txt: Document this.

2001-06-22  Ben Elliston  <bje@redhat.com>

	* glue.cxx (probing_bus::traceAccess): Omit bus::delayed.

2001-03-27  Dave Brolley  <brolley@redhat.com>

	* hw-glue-bus-mux.txt: Update description of switching behavior.
	* glue.cxx (bus_mux::handle_switch_pin): Call upstream.select_bus.

2001-03-23  John Healy  <jhealy@redhat.com>

	* Makefile.in: Regenerated.

2001-01-12  Jeff Johnston  <jjohnstn@redhat.com>

	* glue.cxx (bus_mux): New bus multiplex component accepting
	one input bus and having two output accessors.
	(list_types): List it under type "hw-glue-bus-mux".
	(create): Ditto.
	(do_delete): Ditto.
	* hw-glue-bus-mux.txt: New documentation for bus_mux.
	* Makefile.am: Added new bus_mux documentation.
	* Makefile.in: Regenerated.

2000-11-21  Frank Ch. Eigler  <fche@redhat.com>

	* Makefile.in: Regenerated.

2000-07-19  Frank Ch. Eigler  <fche@redhat.com>

	* Makefile.in: Regenerated.

2000-05-26  Frank Ch. Eigler  <fche@redhat.com>

	* glue.cxx: Import more std:: identifiers.

2000-05-02  Frank Ch. Eigler  <fche@redhat.com>

	* glue.cxx (probing_bus::traceAccess): New function to emit memory
	access trace records.
	(readAny, writeAny): Call it.  Apply sampling mechanism to tracing.
	* hw-glue-probe-bus.txt: Document changed format and sampling policy.
	Correct default for sample-interval attribute.

2000-02-10  Ben Elliston  <bje@redhat.com>

	* sw-glue-attribbank.txt (Environment): Mention memory usage.

2000-02-08  Frank Ch. Eigler  <fche@redhat.com>

	* glue.cxx (do_delete): Guard against dynamic_cast after delete.

2000-01-25  Frank Ch. Eigler  <fche@redhat.com>

	* Makefile.in: Regenerated.

2000-01-18  Frank Ch. Eigler  <fche@cygnus.com>

	* glue.cxx (sequence_component ctor): Initialize recursion limiter.
	(dispatch_h4, num_clients_changed): Prevent harmful recursion.
	* hw-glue-sequence.txt: Clarify policy.

2000-01-12  Frank Ch. Eigler  <fche@cygnus.com>

	* Makefile.in: Regenerated.

2000-01-05  Frank Ch. Eigler  <fche@cygnus.com>

	* glue.cxx (sequence_component op <<,>>): New functions.
	(sequence_component state_save, restore_state): Call them.

2000-01-04  Frank Ch. Eigler  <fche@cygnus.com>

	* glue.cxx (sequence_component ctor): Make "num-outputs" unchangeable
	for preconfigured component.

1999-12-14  Frank Ch. Eigler  <fche@cygnus.com>

	* glue.cxx (num_clients_changed): Do nothing if new number matches old.

1999-12-09  Faisal Khoja  <fkhoja@cygnus.com>

	* Makefile.in: Regenerated.

1999-12-08  Faisal Khoja  <fkhoja@cygnus.com>

	* Makefile.in: Regenerated.

1999-12-07  Frank Ch. Eigler  <fche@cygnus.com>

	* hw-glue-sequence.txt: New file.  Content from old README.
	* hw-glue-probe-bus.txt: Ditto.
	* sw-glue-attribbank.txt: Ditto.
	* README: Removed.
	* Makefile.am: Install new files.
	* Makefile.in: Regenerated.

1999-11-26  Ben Elliston  <bje@cygnus.com>

	* Makefile.am (DEJAGNUTESTS): Add traffic.exp.
	* Makefile.in: Regenerate.

1999-11-23  Frank Ch. Eigler  <fche@cygnus.com>

	* glue.cxx (dispatch): Removed dispatch(void) variety.
	Update callers.
	(attribute_names): Make non-const.
	(do_delete): Use dynamic_cast<>.

1999-10-19  Frank Ch. Eigler  <fche@cygnus.com>

	* Makefile.in: Regenerated.

1999-10-14  Mary Lynn Kostash  <mkostash@cygnus.com>

	* README:  Doc fixes based on review comments.

1999-10-10  Faisal Khoja  <fkhoja@cygnus.com>

	* glue.cxx (probing_bus::writeAny): Commented out line
	host_int_4 result = static_cast<unsigned>(s);
	(probing_bus::read_Any): Likewise.

1999-10-08  Frank Ch. Eigler  <fche@cygnus.com>

	* Makefile.am (DEJAGNUTESTS): Added gluemonkey.exp.
	* Makefile.in: Regenerated.

1999-10-08  Frank Ch. Eigler  <fche@cygnus.com>

	* glue.cxx (dispatch_h4, writeAny, readAny, write, read): Take
	value, not const-ref.

1999-10-07  Faisal Khoja  <fkhoja@cygnus.com>

	* glue.cxx (attribute_names): Removed try and catch. Some Indenting.
	(attribute_names): Likewise
	(attribute_value): Likewise
	(set_attribute_value): Likewise
	(writeAny): Likewise
	(readAny): Likewise
	(write): Likewise
	(read):	Likewise

1999-10-07  Ben Elliston  <bje@cygnus.com>

	* README (hw-glue-probe-bus): Update documentation to reflect the
	renaming of attribute "verbose?" -> "trace?" on 1999-08-12.

1999-09-23  Frank Ch. Eigler  <fche@cygnus.com>

	* README: Update for bool/number notation changes.
	* components.h (sequence_component): Change type of num_clients to
	host_int_1 to limit maximum number of outputs.
	* glue.cxx (num_clients_changed): Removed redundant max-size check.
	Use make_numeric_attribute to generate pin/attribute names.

1999-09-23  Ben Elliston  <bje@cygnus.com>

	* glue.cxx (sequence_component::num_clients_changed): Guard
	against attribute values exceeding the maximum size for a
	vector<T>.

	* Makefile.am (DEJAGNUTESTS): Add new tests.
	* Makefile.in: Regenerate.

1999-09-13  Frank Ch. Eigler  <fche@cygnus.com>

	* glue.cxx (*): Use host_int_X, not compiler_int_X.

1999-09-07  Mary Lynn Kostash  <mkostash@cygnus.com>

	* README: Minor changes to sequencer info.

1999-09-07  Mary Lynn Kostash  <mkostash@cygnus.com>

	* README: Minor grammatical changes.

1999-08-24  Frank Ch. Eigler  <fche@cygnus.com>

	* Makefile.in: Regenerated.

1999-08-20  Frank Ch. Eigler  <fche@cygnus.com>

	* glue.cxx (sequence_component): Removed supervisory() function.

1999-08-16  Ian Carmichael  <iancarm@cygnus.com>

	* glue.cxx: sid::component members renamed.

1999-08-13  Frank Ch. Eigler  <fche@cygnus.com>

	* glue.cxx (readAny, writeAny): Format more trace data as hex by force.

1999-08-12  Frank Ch. Eigler  <fche@cygnus.com>

	* glue.cxx (readAny, writeAny): Format trace data as hex by force.
	(bus_prober ctor): Rename attribute "verbose?" -> "trace?".
	* README: Corresponding changes.

1999-08-09  Frank Ch. Eigler  <fche@cygnus.com>

	* glue.cxx (bus_prober ctor): Export proper sampling pin objects.

1999-08-07  Frank Ch. Eigler  <fche@cygnus.com>

	* glue.cxx (bus_prober): New class: bus traffic sampler/tracer
	component.
	(list_types): List it under type "hw-glue-probe-bus".
	(create): Ditto.
	* README: Added documentation for this.

1999-07-25  Faisal Khoja  <fkhoja@cygnus.com>

	* glue.cxx: Add exception handlers.

1999-07-21  Frank Ch. Eigler  <fche@cygnus.com>

	* glue.cxx (sequence_component ctor): Move out-of-line.
	(num_clients_changed): Ditto.

1999-07-21  Frank Ch. Eigler  <fche@cygnus.com>

	* glue.cxx (sequence_component ctor): Grow initial output pins.

1999-07-19  Frank Ch. Eigler  <fche@cygnus.com>

	* Makefile.am (libglue_la_LDFLAGS): Remove -export-symbols-regex.
	* Makefile.in: Regenerated.

1999-07-16  Frank Ch. Eigler  <fche@cygnus.com>

	* glue.cxx (sequence_component): Add triggerpoint_manager member.
	(dispatch): Call manager.
	(dispatch_h4): Ditto.
	(num_clients_changed): Ditto.  Update target-view-visible attributes.
	(pin_factory): New function to manage virtual pins for triggerpoints.
	(pin_junkyard): Ditto.
	(sequence_component ctor): Configure triggerpoint_manager and
	target-view-visible attributes.

	(list_types): Add preconfigured hw-glue-sequence-{1,2,8} types.
	(create): Support them.

	* Makefile.am (DEJAGNUTESTS): New macro.
	(checkme): New target.
	(libglue_la_LDFLAGS): Add -export-symbols-regex clause to restrict
	list of exported symbols.
	* Makefile.in: Regenerated.

	* README: Rewrote, in component-template format.

1999-07-05  Frank Ch. Eigler  <fche@cygnus.com>

	* testsuite: Removed directory.
	* Makefile.am (SUBDIRS): Don't recurse into it.
	* Makefile.in: Regenerated.
	* acconfig.h: Removed.
	* aclocal.m4: Ditto.
	* config.in: Ditto.
	* configure: Ditto.
	* configure.in: Ditto.
	* stamp-h.in: Ditto.

1999-06-16  Frank Ch. Eigler  <fche@cygnus.com>

	* glue.cxx: Don't #include <sidschedutil.h>.

1999-06-14  Frank Ch. Eigler  <fche@cygnus.com>

	* glue.cxx (listAttrNames): New function.

1999-06-09  Frank Ch. Eigler  <fche@cygnus.com>

	* glue.cxx (do_delete): New function.
	(glue_component_library): Register it.

1999-06-08  Frank Ch. Eigler  <fche@cygnus.com>

	* glue.cxx: New file: Glue components.
	* README: New documentation file.
	* Makefile.am: New file.
	* configure.in: New file.
	* stamp-h.in: New blank file.
	* acconfig.h: New file.
	* config.in: Generated new file.
	* aclocal.m4: Generated new file.
	* Makefile.in: Generated new file.
	* configure: Generated new file.

